DWEB - All Hotels, misc - PSS #45

Advertising Pick Up Laundry Service
09/02/2025 06:30 PM - Sieu Ngo

Status: New Start date: 09/02/2025
Priority: Medium Due date:

Assignee: Angelie Parilla % Done: 0%
Category: Estimated time: 0.00 hour
Description

Advertising, based on highest impact:

)

Google Listed -As Pinetop Maids - but description should push laundry pickup, wash/fold service

Point Listing to PinetopMaids.com - where we have a section on commercial pickup service

Biz Cards - both Von/Anthony want to stop by the different restaurants/spa .. advertise maid service in front, mention wash/fold
in back.

Generic Signage at the Property ltself - can do after deployment. Need to direct traffic for drop off process.

History

#1 - 10/02/2025 12:55 PM - Sieu Ngo

- Assignee set to Angelie Parilla

#2 - 11/11/2025 11:35 AM - Sieu Ngo

- Description updated

#3 - 11/13/2025 11:57 AM - Angelie Parilla

- File 1.png added

- File 2.png added

- File 3.png added

- File 4.png added

- File 5.png added

- File Screenshot 2025-11-14 at 2.35.12 AM.png added

Website - done and tested (https:/pinetopmaids.com/index.php/our-services/)

Google form - done and tested (https://docs.google.com/forms/d/e/1 FAIpQLSfEbESA5emf1wFXDDO-RwHoR_b1-9ylO76A1Nu7Ct-jILSvRA/viewform
and

https://docs.google.com/spreadsheets/d/1VUzEFz21z] p3dFm03gQ81ASBGKNFZ_kVMOfRb9a4L U/edit?resourcekey=&qid=1681721894#gid=16817
21894)

Business Cards - done, please see attached drafts as my proposals (
https://www.canva.com/design/DAG4g1R9Ppk/C_BuGUgpgk-pV1azfvEGJg/edit)

Google Listing - currently suspended. Please see the attached screenshot of the documents we have to provide for the appeal.

Questions/Pending Items | think before we launch the business cards:
1. What phone number do we use?

2. Pricing

3. Workflow (who'll pick-up [ wash [ dry [ fold [I delivery)

4. Payment method

5. Promotions

#4 - 11/21/2025 10:44 PM - Sieu Ngo

angelie will be ordering 1k cards, $78.13 including tax and shipping .. one side for cleaning, other for laundry
